Name:          fast_float
Version:       8.0.2
Release:       1mamba
Summary:       Fast and exact implementation of the C++ from_chars functions for number types
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/fastfloat/fast_float
Source:        https://github.com/fastfloat/fast_float.git/v%{version}/fast_float-%{version}.tar.bz2
License:       Apache License 2.0
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Fast and exact implementation of the C++ from_chars functions for number types.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Fast and exact implementation of the C++ from_chars functions for number types

%description -n lib%{name}-devel
Fast and exact implementation of the C++ from_chars functions for number types.
This package contains libraries and header files for developing applications that use %{name}.

#% debug_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/fast_float
%{_includedir}/fast_float/*.h
%dir %{_datadir}/cmake/FastFloat
%{_datadir}/cmake/FastFloat/*.cmake
%doc AUTHORS README.md

%changelog
* Fri Mar 14 2025 Automatic Build System <autodist@openmamba.org> 8.0.2-1mamba
- automatic version update by autodist

* Tue Mar 11 2025 Automatic Build System <autodist@openmamba.org> 8.0.1-1mamba
- automatic version update by autodist

* Sun Feb 09 2025 Automatic Build System <autodist@openmamba.org> 8.0.0-1mamba
- automatic version update by autodist

* Fri Nov 22 2024 Automatic Build System <autodist@openmamba.org> 7.0.0-1mamba
- automatic version update by autodist

* Mon Sep 09 2024 Automatic Build System <autodist@openmamba.org> 6.1.6-1mamba
- automatic version update by autodist

* Tue Sep 03 2024 Automatic Build System <autodist@openmamba.org> 6.1.5-1mamba
- automatic version update by autodist

* Thu Aug 15 2024 Automatic Build System <autodist@openmamba.org> 6.1.4-1mamba
- automatic version update by autodist

* Tue Jul 23 2024 Automatic Build System <autodist@openmamba.org> 6.1.3-1mamba
- automatic version update by autodist

* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.1-1mamba
- package created using the webbuild interface
